Subject: Re: [PATCH v2] http: add support for different sslcert and sslkey types.

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Mar 2023 17:20:55 -0700

Jeff King <[email-masked]> writes:

> On Wed, Mar 29, 2023 at 11:53:11AM -0700, Junio C Hamano wrote:
>
> ...
>> > But I don't have any idea how to do that with hardware usb eToken in my case.
>> 
>> OK, so where does this put us, with respect to the change?  ...
> I would be OK taking the patches without any further tests. It is not
> really making anything worse in the sense that we already do not test
> any of the client-cert stuff.

Alright.  I think the patch has already been queued for some time,
and it is OK to merge it down to 'next'.

> If we can cheaply add some tests that at least exercise the code and
> hand off to curl, that is better than nothing, I guess.
>
> I think the ideal would be a new t5565 that sets LIB_HTTPD_SSL
> unconditionally and actually tests various client-cert formats and
> requests using a made-on-the-fly cert.

Thanks.